Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Private Attributes | List of all members
OpenMesh::IO::ImporterT< Mesh > Class Template Reference

`#include <libs_required/OpenMesh/src/OpenMesh/Core/IO/importer/ImporterT.hh>`

Inheritance diagram for OpenMesh::IO::ImporterT< Mesh >:

## Public Types
typedef Mesh::Point | Point
typedef Mesh::Normal | Normal
typedef Mesh::Color | Color
typedef Mesh::TexCoord2D | TexCoord2D
typedef Mesh::TexCoord3D | TexCoord3D
typedef std::vector< VertexHandle > | VHandles
Public Types inherited from OpenMesh::IO::BaseImporter
typedef std::vector< VertexHandle > | VHandles

## Public Member Functions
| ImporterT (Mesh &_mesh)
virtual VertexHandle | add_vertex (const Vec3f &_point)
virtual VertexHandle | add_vertex ()
virtual FaceHandle | add_face (const VHandles &_indices)
virtual void | set_point (VertexHandle _vh, const Vec3f &_point)
virtual void | set_normal (VertexHandle _vh, const Vec3f &_normal)
virtual void | set_color (VertexHandle _vh, const Vec4uc &_color)
virtual void | set_color (VertexHandle _vh, const Vec3uc &_color)
virtual void | set_color (VertexHandle _vh, const Vec4f &_color)
virtual void | set_color (VertexHandle _vh, const Vec3f &_color)
virtual void | set_texcoord (VertexHandle _vh, const Vec2f &_texcoord)
virtual void | set_texcoord (HalfedgeHandle _heh, const Vec2f &_texcoord)
virtual void | set_texcoord (VertexHandle _vh, const Vec3f &_texcoord)
virtual void | set_texcoord (HalfedgeHandle _heh, const Vec3f &_texcoord)
virtual void | set_color (EdgeHandle _eh, const Vec4uc &_color)
virtual void | set_color (EdgeHandle _eh, const Vec3uc &_color)
virtual void | set_color (EdgeHandle _eh, const Vec4f &_color)
virtual void | set_color (EdgeHandle _eh, const Vec3f &_color)
virtual void | set_normal (FaceHandle _fh, const Vec3f &_normal)
virtual void | set_color (FaceHandle _fh, const Vec3uc &_color)
virtual void | set_color (FaceHandle _fh, const Vec4uc &_color)
virtual void | set_color (FaceHandle _fh, const Vec3f &_color)
virtual void | set_color (FaceHandle _fh, const Vec4f &_color)
virtual void | add_face_texcoords (FaceHandle _fh, VertexHandle _vh, const std::vector< Vec2f > &_face_texcoords)
virtual void | add_face_texcoords (FaceHandle _fh, VertexHandle _vh, const std::vector< Vec3f > &_face_texcoords)
virtual void | set_face_texindex (FaceHandle _fh, int _texId)
virtual void | add_texture_information (int _id, std::string _name)
virtual BaseKernel * | kernel ()
bool | is_triangle_mesh () const
void | reserve (unsigned int nV, unsigned int nE, unsigned int nF)
size_t | n_vertices () const
size_t | n_faces () const
size_t | n_edges () const
void | prepare ()
void | finish ()

## Private Attributes
Mesh & | mesh_
std::map< VertexHandle, Normal > | halfedgeNormals_

## Detailed Description

### template<class Mesh>
class OpenMesh::IO::ImporterT< Mesh >

This class template provides an importer module for OpenMesh meshes.

Definition at line 85 of file ImporterT.hh.

The documentation for this class was generated from the following file:

- libs_required/OpenMesh/src/OpenMesh/Core/IO/importer/ImporterT.hh